Packages - Packaging Request #1994

Packaging request for USBGuard
2018-09-17 03:04 PM - Anonymous

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

This software is GPL licensed and would be a great addition for all the sec/privacy lovers here.
https://github.com/USBGuard/usbguard

History

#1 - 2018-09-18 03:32 PM - ovruni

- Priority changed from bug to wish
#2 - 2018-09-18 07:05 PM - freemor
Hmmm.. from the github.

Warning: The 0.x releases are not production ready packages. They serve for tech-preview and user feedback pur
poses only.

This probably means that breakage will be common.

#3 - 2018-10-11 11:05 PM - GNUtoo

Debian has a package for it: https:/packages.debian.org/stretch/usbguard

pcr would be a good place for such package.

However in Debian, it seems that all the packages that only one package depends on usbguard (usbguard-applet-qt), and usbguard-applet-qt has the
same homepage, So it's probably developed by the same people (so it's probably likely to be fixed in case of compatibility related breakage).

Denis.

#4 - 2018-12-07 10:20 AM - CBotulinum

Isn't it better to package this instead?
https://github.com/NateBrune/silk-guardian

Personally I've tried both, the latter is much more useful and much much simpler... (even though | haven't used any for a while because of kernel USB
driver issues on ARM).

#5 - 2019-01-09 03:44 AM - Anonymous

silk-guardian is a kill switch and usb guard is not :/ Nice project though.
#6 - 2019-01-09 03:39 PM - bill-auger

i would say, if the devs themselves are responsible enough to label it "not-ready” that is a good sign; but the package would be better to go to
[pcr-testing] rather than [pcr] (or not to package it at all) until it is deemed "ready"
